# Data Dictionary: Indeed Companies

Dictionary contains explanations and examples of all data fields available in the **Indeed** **Companies** dataset.

{% hint style="info" %}
All personal/company information mentioned within this context is entirely fictional and is solely intended for illustrative purposes.
{% endhint %}

{% tabs %}
{% tab title="Data fields by category" %}

1. [Metadata](#metadata)
2. [Social media and websites](#social-media-and-websites)
3. [Firmographics](#firmographics)
4. [Open jobs](#open-jobs)
5. [Ratings](#ratings)
6. [Other companies](#other-companies)
   {% endtab %}
   {% endtabs %}

{% hint style="info" %}
The data fields in the example snippets have been rearranged for better grouping. To see where a specific data field stands, check the full data sample [here](https://docs.coresignal.com/additional-sources/indeed-data/indeed-companies/data-sample).
{% endhint %}

***

## Metadata

### Record metadata

| Data field             | Description                                          | Data type                  |
| ---------------------- | ---------------------------------------------------- | -------------------------- |
| `meta`                 | Contains metadata about the record                   | Object                     |
| `created_at_date`      | Date when the record was initially scraped           | Array of numbers (integer) |
| `created_at_timestamp` | Unix timestamp for when the record was first scraped | Float                      |
| `updated_at_date`      | Date when the record was last updated                | Array of numbers (integer) |
| `updated_at_timestamp` | Unix timestamp for when the record was last updated  | Float                      |
| `version_id`           | Identifier for the dataset version                   | String                     |
| `source`               | Source from which the record was obtained            | String                     |
| `object`               | Data object type                                     | String                     |
| `is_deleted`           | Indicates if the record is available on Indeed       | Boolean                    |

**See a snippet of the dataset for reference:**

{% code title="Record metadata" %}

```json
"_meta": {
	"source": "indeed",
	"object": "company",
	"created_at_date": [
		2022,
		10,
		5
	],
	"created_at_timestamp": 1664956954.841329,
	"updated_at_date": [
		2024,
		5,
		1
	],
	"updated_at_timestamp": 1714532086.606747,
	"version_id": "8f97449e",
	"is_deleted": false
},
```

{% endcode %}

### Profile metadata

| Data field  | Description                       | Data type |
| ----------- | --------------------------------- | --------- |
| `doc`       | Dataset starting point            | Object    |
| `id`        | Record identifier in our database | String    |
| `source_id` | Record identifier on Indeed       | String    |
| `url`       | Indeed profile URL                | String    |

{% code title="Profile metadata" %}

```json
"doc": {
    "id": "indeed_company_Example Company",
    "source_id": "Example Company",
    "url": "https://indeed.com/cmp/Example-Company",
```

{% endcode %}

## Social media and websites

| Data field | Description          | Data type |
| ---------- | -------------------- | --------- |
| `facebook` | Facebook profile URL | String    |
| `twitter`  | Twitter page URL     | String    |
| `link`     | Company's website    | String    |

**See a snippet of the dataset for reference:**

{% code title="Social media and websites" %}

```json
"facebook": "https://www.facebook.com/example-company",
"twitter": "https://twitter.com/example-company",
"link": "https://www.example-company.com"
```

{% endcode %}

## Firmographics

| Data field    | Description                                                                 | Data type |
| ------------- | --------------------------------------------------------------------------- | --------- |
| `name`        | Name                                                                        | String    |
| `description` | <p>Description</p><p><strong>Note:</strong> contains control characters</p> | String    |
| `logo`        | Logo URL                                                                    | String    |
| `founded`     | Founding year                                                               | Integer   |
| `industry`    | Associated industry                                                         | String    |
| `revenue`     | <p>Revenue<br>\*\*Note: \*\*contains control characters</p>                 | String    |

**See a snippet of the dataset for reference:**

{% code title="Firmographics" %}

```json
"name": "Example Company",
"description": "Example Company is an online platform that allows freelancers and entrepreneurs to create and maintain a website.",
"logo": "https://d2q79iu7y748jz.cloudfront.net/s/_squarelogo/96x96/d9f06665561041b5640fb55150f86d28cc6ec",
"founded": 1906,
"industry": "IT Services",
"revenue": "less than $1M (USD)",
```

{% endcode %}

### Company size and location

| Data field     | Description           | Data type |
| -------------- | --------------------- | --------- |
| `location`     | Main location         | String    |
| `headquarters` | Headquarters location | String    |
| `country`      | Location (country)    | String    |
| `company_size` | Company size          | String    |

**See a snippet of the dataset for reference:**

{% code title="Company size and location" %}

```json
"location": "Frankfurt am Main",
"headquarters": "Frankfurt",
"country": "Germany",
"company_size": "more than 10,000",
```

{% endcode %}

### CEO

| Data field        | Description                  | Data type |
| ----------------- | ---------------------------- | --------- |
| `ceo`             | Details on the company's CEP | Object    |
| `name`            | Name                         | String    |
| `image_url`       | Avatar URL                   | String    |
| `approval_rating` | Approval rating              | Float     |

**See a snippet of the dataset for reference:**

{% code title="CEO" %}

```json
"ceo": {
    "name": "John Doe",
    "image_url": "https://d2q79iu7y748jz.cloudfront.net/s/_ceophoto/512x512/93930776785f0637262af7f86f7fb2115d9",
    "approval_rating": 27.0
},
```

{% endcode %}

## Open jobs

| Data field       | Description                   | Data type |
| ---------------- | ----------------------------- | --------- |
| `open_job_count` | Active job postings on Indeed | Integer   |

**See a snippet of the dataset for reference:**

{% code title="Available jobs" %}

```json
"open_job_count": 1885,
```

{% endcode %}

## Ratings

### Overall rating

| Data field     | Description         | Data type |
| -------------- | ------------------- | --------- |
| `rating`       | Average star rating | Float     |
| `review_count` | Number of reviews   | Integer   |

**See a snippet of the dataset for reference:**

{% code title="Rating" %}

```json
"rating": 3.7,
"review_count": 396,
```

{% endcode %}

### Interview ratings

| Data field                   | Description                                           | Data type |
| ---------------------------- | ----------------------------------------------------- | --------- |
| `interview_difficulty`       | Interview difficulty score derived from user reviews  | String    |
| `interview_difficulty_count` | Number of reviews mentioning interview difficulty     | Integer   |
| `interview_duration`         | Interview process length according to user reviews    | String    |
| `interview_duration_count`   | Number of reviews mentioning interview process length | Integer   |
| `interview_experience`       | Interview experience according to user reviews        | String    |
| `interview_experience_count` | Number of reviews mentioning interview experience     | Integer   |

**See a snippet of the dataset for reference:**

{% code title="Interview ratings" %}

```json
"interview_difficulty": "MEDIUM",
"interview_difficulty_count": 106,
"interview_duration": "More than one month",
"interview_duration_count": 96,
"interview_experience": "FAVORABLE",
"interview_experience_count": 90,
```

{% endcode %}

### Employment and corporate ratings

| Data field                        | Description                                        | Data type |
| --------------------------------- | -------------------------------------------------- | --------- |
| `review_compensation_benefit`     | Compensation and benefits rating                   | Float     |
| `review_culture`                  | Company culture rating                             | Float     |
| `review_job_security_advancement` | Job security and advancement at the company rating | Float     |
| `review_management`               | Company's management rating                        | Float     |
| `review_worklife_balance`         | Work-life balance rating                           | Float     |

**See a snippet of the dataset for reference:**

{% code title="Employment and corporate ratings" %}

```json
"review_compensation_benefit": 3.6,
"review_culture": 3.5,
"review_job_security_advancement": 3.6,
"review_management": 3.2,
"review_worklife_balance": 3.6,
```

{% endcode %}

## Other companies

| Data field           | Description                            | Data type        |
| -------------------- | -------------------------------------- | ---------------- |
| `people_also_viewed` | Other company profiles viewed by users | Array of objects |
| `url`                | Profile URL                            | String           |
| `logo`               | Logo URL                               | String           |
| `name`               | Name                                   | String           |
| `rating`             | Overall rating                         | Float            |
| `review_count`       | Total number of reviews                | Integer          |

**See a snippet of the dataset for reference:**

{% code title="Other companies" %}

```json
"people_also_viewed": [
    {
        "url": "https://www.indeed.com/cmp/competitor-company",
        "logo": "https://d2q79iu7y748jz.cloudfront.net/s/_squarelogo/64x64/ff544466e666575fbfc635ea21c00b1eae284f",
        "name": "Competitor Company",
        "rating": 4.2,
        "review_count": 5
    }
]
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/additional-sources/indeed-data/indeed-companies/data-dictionary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
